/* 
 * File:   PortAudioStream.h
 * Author: matt
 *
 * Created on July 12, 2011, 10:18 PM
 */

#ifndef PORTAUDIOSTREAM_H
#define	PORTAUDIOSTREAM_H

#include <portaudio.h>
#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

using namespace std;

class PortAudioProvider{
    private:
        PaStream* myStream;
        int myChannelCount;
        double mySampleRate;
        bool myStartFlag;
        bool myInitFlag;
        
    public:
        PortAudioProvider(int outputChannelCount=1, double sampleRate=16000);
        PaError start();
        PaError initialize();
        PaError write(const void* data, unsigned long len);
        PaError close();
};

#endif	/* PORTAUDIOSTREAM_H */

