/* 
 * File:   PortAudioAcapelaOutput.h
 * Author: matt
 *
 * Created on July 13, 2011, 11:53 PM
 */

#ifndef PORTAUDIOACAPELAOUTPUT_H
#define	PORTAUDIOACAPELAOUTPUT_H

#include "robokind/speech/acapela/PortAudioProvider.h"

namespace robokind{
  namespace acapela{
      
    class PortAudioAcapelaOutput : public DataCallback{
        private:
            PortAudioProvider* myProvider;

        public:
            PortAudioAcapelaOutput(PortAudioProvider* output){
                myProvider = output;
            }
            int callback(const unsigned char* data, unsigned int len, PNSC_SOUND_DATA format,  void * user_data){
                //For some reason Acapela doubles the buffer length for us
                return myProvider->write((const void*)data, len/2);
            }
    };
    
}}

#endif	/* PORTAUDIOACAPELAOUTPUT_H */

